Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1166 - chkconfig --del deletes more than the named service
Summary: chkconfig --del deletes more than the named service
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: chkconfig
Version: 5.2
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-15 06:22 UTC by Chris Siebenmann
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-23 00:13:57 UTC


Attachments (Terms of Use)

Description Chris Siebenmann 1999-02-15 06:22:34 UTC
chkconfig --del deletes not just the named service, but
all services that have the name as a prefix. Eg, if you
do 'chkconfig --del nfs' and have nfsfs configured on as
well, the --del will delete *both* nfs and nfsfs. No such
bug exists in 'chkconfig --add'.

 This bug can have the obvious deleterious effect.

Example:
bash# chkconfig --list nfs; chkconfig --list nfsfs
nfs 0:off 1:off 2:off 3:on 4:on 5:on 6:off
nfsfs 0:off 1:off 2:off 3:on 4:on 5:on 6:off
bash# chkconfig --del nfs
bash# chkconfig --list nfs; chkconfig --list nfsfs
nfs 0:off 1:off 2:off 3:off 4:off 5:off 6:off
nfsfs 0:off 1:off 2:off 3:off 4:off 5:off 6:off
bash# chkconfig --add nfs
bash# chkconfig --list nfs; chkconfig --list nfsfs
nfs 0:off 1:off 2:off 3:on 4:on 5:on 6:off
nfsfs 0:off 1:off 2:off 3:off 4:off 5:off 6:off
bash# chkconfig --add nfsfs
bash# chkconfig --list nfs; chkconfig --list nfsfs
nfs 0:off 1:off 2:off 3:on 4:on 5:on 6:off
nfsfs 0:off 1:off 2:off 3:on 4:on 5:on 6:off


------- Email Received From  Chris Siebenmann <cks@hawkwind.utcs.toronto.edu> 02/15/99 02:26 -------

Comment 1 Bill Nottingham 1999-03-22 23:22:59 UTC
fixed in chkconfig-1.0.2 (and possibly earlier)

Comment 2 Chris Siebenmann 1999-03-22 23:45:59 UTC
I have built and tested a version of chkconfi 1.0.2 (from Starbuck)
on my RedHat 5.1 system (plain, with rpm --rebuild of the .src.rpm),
and this problem is *not* fixed. To fix the problem, you need to not
glob with '%s*' in findServiceEntries() in leveldb.c, per the patch
I emailed in.

Comment 3 Bill Nottingham 1999-03-23 00:13:59 UTC
doh!

fixed in chkconfig-1.0.3-1. Thanks!


Note You need to log in before you can comment on or make changes to this bug.